Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreSkeletonFileFormat.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Enumerations
enum | SkeletonChunkID { SKELETON_HEADER = 0x1000, SKELETON_BONE = 0x2000, SKELETON_BONE_PARENT = 0x3000, SKELETON_ANIMATION = 0x4000, SKELETON_ANIMATION_TRACK = 0x4100, SKELETON_ANIMATION_TRACK_KEYFRAME = 0x4110, SKELETON_ANIMATION_LINK = 0x5000 }
| Definition of the OGRE .skeleton file format. More...

## Enumeration Type Documentation

enum Ogre::SkeletonChunkID

  | Definition of the OGRE .skeleton file format. .skeleton files are binary files (for read efficiency at runtime) and are arranged into chunks of data, very like 3D Studio's format. A chunk always consists of: unsigned short CHUNK_ID : one of the following chunk ids identifying the chunk unsigned long LENGTH : length of the chunk in bytes, including this header void* DATA : the data, which may contain other sub-chunks (various data types) A .skeleton file contains both the definition of the Skeleton object and the animations it contains. It contains only a single skeleton but can contain multiple animations. Enumeration values:
  SKELETON_HEADER |
  SKELETON_BONE |
  SKELETON_BONE_PARENT |
  SKELETON_ANIMATION |
  SKELETON_ANIMATION_TRACK |
  SKELETON_ANIMATION_TRACK_KEYFRAME |
  SKELETON_ANIMATION_LINK |
Definition at line 50 of file OgreSkeletonFileFormat.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007